pro plt_bsf, U1, U2, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex

  compile_opt idl2, strictarrsubs

  @common

  if KEYWORD_SET(POSTSCRIPT) then begin
     openps, '005_bsf_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.ps',  portrait = 1
  endif
  domdef, 0, 6000


  bb1 = bsf(U1.arr, refvalue = 0., refpoint = [25, 0] )
  bb2 = bsf(U2.arr, refvalue = 0., refpoint = [25, 0])

  title = sEXP1+' Barotropic Stream Function'+' / year '+start_end
  plt, bb1, min =-200., max = 200., int = 10.,/portrait, FORMAT = '(I4)', STYLE= 'so0so' $
       , small = [1,2,1], COAST_THICK = 2, TITLE = title,  _extra = ex


  if sEXP1 ne sEXP2 then begin

     title = sEXP1+' - '+sEXP2+' Barotropic Stream Function'+' / year '+start_end
     plt, bb1.arr - bb2.arr , min = -20., max = 20., int = 2.,  FORMAT = '(I2)', STYLE= 'so0so' $
          , small = [1,2,2], COAST_THICK = 2, TITLE = title, /NOERASE, _extra = ex
   
  endif
  
  title = 'Barotropic Stream Function'
  text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/'+sEXP1+'_'+sEXP2+'/ps/005_bsf_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.png  />  ' ]
  putfile, '/tmp/prova.txt', text

  if KEYWORD_SET(POSTSCRIPT) then begin
     closeps
  endif


  return
end

