pro plt_msf, V1, V2, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, SUBBASIN = subbasin, MASK_FILENAME = mask_filename,_extra = ex

  compile_opt idl2, strictarrsubs

  @common

  if KEYWORD_SET(SUBBASIN) then subname = subbasin 


  if KEYWORD_SET(POSTSCRIPT) then begin
     openps, '024_msf_'+subname+'_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.ps',  portrait = 1
  endif

  if KEYWORD_SET(SUBBASIN) then begin
     
     CASE 1 of 
        subbasin eq 'Atl' : var = 'atlmsk_nomed'
        subbasin eq 'Ind' : var = 'indmsk'
        subbasin eq 'Pac' : var = 'indpacmsk'
        subbasin eq 'Glo' : var = 'glomsk_nomed'
     ENDCASE
                                ;
     msk = read_ncdf( var, filename = mask_filename, /nostruct, _extra = ex )

  endif else msk = tmask[*,*,0]
;

  
  CASE subname OF
     'Glo':lat_ext=[-80,90]
     'Atl':lat_ext=[-30,90]
     'Ind':lat_ext=[-30,30]
     'Pac':lat_ext=[-30,70]
     
  ENDCASE

 if subbasin eq 'Pac' then subname = "IndoPac"
  
  domdef, 0, 6000

  mm1 = msf(V1.arr, msk, indexboxzoom = ind, maskout = ma)
  mm2 = msf(V2.arr, msk, indexboxzoom = ind, maskout = ma)
  title=sEXP1+' Meridional Stream Function '+subname+'/ year '+start_end
  pltz, mm1, -20., 20., int = 1., boxzoom = [ind[0:1],lat_ext, 0, 5500], /xindex  , FORMAT = '(I3)' $
        , small=[1,2,1], COAST_THICK=2 , zoom = 5500, maskdta = ma, /no_partial, TITLE = title, style = 'so0so'

  if sEXP1 ne sEXP2 then begin
     
     title=sEXP1+' - '+sEXP2+subname+'/ year '+start_end
     pltz, mm1.arr-mm2.arr, -10., 10., int = 1., boxzoom = [ind[0:1],lat_ext, 0, 5500], /xindex,  FORMAT = '(I3)'  $
           , small=[1,2,2], COAST_THICK=2, zoom = 5500, maskdta = ma, /no_partial, TITLE = title, /NOERASE, style = 'so0so'
     
  endif
  
  title = + subname+ 'Meridional Stream Function'
  text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/'+sEXP1+'_'+sEXP2+'/ps/024_msf_'+subname+'_'+sEXP1+'_'+sEXP2+'_y'+start_end+'.png  />  ' ]
  putfile, '/tmp/prova.txt', text

  if KEYWORD_SET(POSTSCRIPT) then begin
     closeps
  endif


  return
end

