pro ts_mean_EMP, sEXP1, sEXP2, year1, year2, s_iodir_data, POSTSCRIPT = postscript, _extra = ex

  compile_opt idl2, strictarrsubs
  
  @common

 @initorca2
 
 if KEYWORD_SET(POSTSCRIPT) then begin
    openps, sEXP1+'_EMP_mean.ps', portrait = 1
 endif

 ts_EMP = 0.
 ts_EMP2 = 0.
 ts_Time = 0.

 masknp = read_ncdf('tmaskutil', file = 'mesh_mask_partial.nc', /nostruct)

 for year=year1,year2 do begin

 date1 = year * 10000L + 101
 date2 = year * 10000L + 1231
 filename = getname(s_iodir_data,sEXP1,'1Y','grid_T',date1)
 filename2 = getname(s_iodir_data,sEXP2,'1Y','grid_T',date1)

 if filename eq '' then stop 
 EMP = read_ncdf('wfo',date1 ,date2 , filename = filename, /nostruct)
 EMP2 = read_ncdf('wfo',date1 ,date2 , filename = filename2, /nostruct)

 ts_EMP = [ ts_EMP, moyenne(EMP, 'xy', mask2d = masknp)]
 ts_EMP2 = [ ts_EMP2, moyenne(EMP2, 'xy', mask2d = masknp)]
 ts_Time = [ ts_Time, Time] ; Time = date

 endfor

  surf_oce =  e1t * e2t  * tmask[*,*,0]
  surf_oce = total(surf_oce)

  ts_EMP = ts_EMP[1:*] ; remove first record of 0
  ts_EMP = ts_EMP * 1.E-09 * surf_oce ; to have Sv

  ts_EMP2 = ts_EMP2[1:*]                ; remove first record of 0
  ts_EMP2 = ts_EMP2 * 1.E-09 * surf_oce ; to have Sv

  varunit= 'Sv'
  vol_oce = moyenne( replicate(1., jpi, jpj, jpk), /integration, 'xyz')

  Time = ts_Time[1:*] ; remove first record of 0
  jpt = n_elements(Time)

  title = sEXP1+' Global Annual EMP Budget (Sv) --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
  pltt,ts_EMP,'t', -.01, 0.00, year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI $
       , small = [1,2,1], YTITLE = 'Sv', TITLE = title, /PORTRAIT, _extra = ex

  if sEXP2 ne sEXP1 then begin
     
     title = sEXP1+' - '+sEXP2+' Global Annual EMP Budget (Sv) --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
     pltt,ts_EMP - ts_EMP2,'t', -.002, .002, year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI, /NOERASE $
          , COLOR = 250, small = [1,2,2], YTITLE = 'Sv', TITLE = title, /PORTRAIT, _extra = ex
  endif

  if KEYWORD_SET(POSTSCRIPT) then begin
     closeps
  endif


  return
end
