pro ts_mean_ICE, sEXP1, sEXP2, year1, year2, s_iodir_data, POSTSCRIPT = postscript, _extra = ex

  compile_opt idl2, strictarrsubs
  
  @common
  
  @initorca2
  
  std_iodir_climato = '/Users/sflod/idl_PLOTS/CLIMATOLOGIES/'
  std_iodir_interan = '/Users/sflod/idl_PLOTS/INTERAN/'


  if KEYWORD_SET(POSTSCRIPT) then begin
     openps, sEXP1+'_ice_area_mean.ps', portrait = 1
  endif
  
  

;NORTHERN Hemisphere
  ts_ICE_N = 0.
  ts_ICE_N_2 = 0.

;SOUTHERN Hemisphere
  ts_ICE_S = 0.
  ts_ICE_S_2 = 0.

  ts_Time = 0.

  masknp = read_ncdf('tmaskutil', file = 'mesh_mask_partial.nc', /nostruct)
  
  for year=year1,year2 do begin
     date1 = year * 10000L + 101
     date2 = year * 10000L + 1231
     filename = getname(s_iodir_data,sEXP1,'1M','icemod',date1)
     filename2 = getname(s_iodir_data,sEXP2,'1M','icemod',date1)

     if filename eq '' then stop
     
     domdef, 0, jpi-1, 30, 90, /xindex

; computation of annual mean
     ICE_N = read_ncdf('sic',date1 ,date2 , filename = filename, /nostruct, dir = 't')
     ICE_N_2 = read_ncdf('sic',date1 ,date2 , filename = filename2, /nostruct, dir = 't')
     
     ts_ICE_N   = [ ts_ICE_N, moyenne(ICE_N, 'xy', /integration, mask2d = masknp) ]
     ts_ICE_N_2 = [ ts_ICE_N_2, moyenne(ICE_N_2, 'xy', /integration, mask2d = masknp) ]
    
     domdef, 0, jpi-1, -30, -90, /xindex
     
     ICE_S = read_ncdf('sic',date1 ,date2 , filename = filename, /nostruct, dir = 't')
     ICE_S_2 = read_ncdf('sic',date1 ,date2 , filename = filename2, /nostruct, dir = 't')
     
     ts_ICE_S   = [ ts_ICE_S, moyenne(ICE_S, 'xy', /integration, mask2d = masknp) ]
     ts_ICE_S_2 = [ ts_ICE_S_2, moyenne(ICE_s_2, 'xy', /integration, mask2d = masknp) ]
 
    ts_Time  = [ ts_Time, Time] ; Time = date
 
  endfor

;  surf_oce =  e1t[firstxt:lastxt,firstyt:lastyt] * e2t[firstxt:lastxt,firstyt:lastyt]  * tmask[firstxt:lastxt,firstyt:lastyt,0]
;  surf_oce = total(surf_oce)

  ts_ICE_N   = ts_ICE_N[1:*]        ; remove first record of 0 
  ts_ICE_N_2 = ts_ICE_N_2[1:*]      ; remove first record of 0
  ts_ICE_N   = ts_ICE_N * 1.E-12    ; remove first record of 0
  ts_ICE_N_2 = ts_ICE_N_2 * 1.E-12  ; remove first record of 0
  
  ts_ICE_S   = ts_ICE_S[1:*]        ; remove first record of 0 
  ts_ICE_S_2 = ts_ICE_S_2[1:*]      ; remove first record of 0
  ts_ICE_S   = ts_ICE_S * 1.E-12    ; remove first record of 0
  ts_ICE_S_2 = ts_ICE_S_2 * 1.E-12  ; remove first record of 0
  
  Time = ts_Time[1:*]           ; remove first record of 0
  jpt = n_elements(Time)
  
  title = sEXP1+' Global Annual Mean Ice Area (North. Hemisp.) --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
  pltt, ts_ICE_N, 't', 0., 15., year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI $
       , small = [1,2,1], YTITLE='10^12 m^2 ', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
  
  title = sEXP1+' Global Annual Mean Ice Area (South. Hemisp.) --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
  pltt, ts_ICE_S, 't', 0., 15., year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI, /NOERASE $
        , small = [1,2,2], YTITLE='10^12 m^2 ', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
  
  if sEXP2 ne sEXP1 then begin
     title = sEXP1+'  - '+sEXP2+' Global Annual Mean Ice Area (North. Hemisp.) --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
     pltt, ts_ICE_N - ts_ICE_N_2 , 't', -2., 2., year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI $
           , COLOR = 250, small = [1,2,1], YTITLE='10^12 m^2 ', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
     
     title = sEXP1+' - '+sEXP2+' Global Annual Mean Ice Area (South. Hemisp.) --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
     pltt, ts_ICE_S - ts_ICE_S_2, 't', -2., 2., year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI, /NOERASE $
           , COLOR = 250, small = [1,2,2], YTITLE='10^12 m^2 ', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex

  endif

  
  if KEYWORD_SET(POSTSCRIPT) then begin
     closeps
  endif
  
  
  return
end
