pro ts_mean_Q, sEXP1, sEXP2, year1, year2, s_iodir_data, POSTSCRIPT = postscript, _extra = ex

  compile_opt idl2, strictarrsubs
  
  @common
  
 @initorca2
 
 if KEYWORD_SET(POSTSCRIPT) then begin
    openps, sEXP1+'_Heat_mean.ps', portrait = 1
 endif
 
 ts_Heat = 0.
 ts_Heat2 = 0.
 ts_Time = 0.

 masknp = read_ncdf('tmaskutil', file = 'mesh_mask_partial.nc', /nostruct)


 for year=year1,year2 do begin
    
    date1 = year * 10000L + 101
    date2 = year * 10000L + 1231
    filename = getname(s_iodir_data,sEXP1,'1Y','grid_T',date1)
    filename2 = getname(s_iodir_data,sEXP2,'1Y','grid_T',date1)

    if filename eq '' then stop 
    Heat = read_ncdf('qns+qsr',date1 ,date2 , filename = filename, /nostruct)
    Heat2 = read_ncdf('qns+qsr',date1 ,date2 , filename = filename2, /nostruct)

    ts_Heat = [ ts_Heat, moyenne(Heat, 'xy', mask2d = masknp)]
    ts_Heat2 = [ ts_Heat2, moyenne(Heat2, 'xy', mask2d = masknp)]
    ts_Time = [ ts_Time, Time]  ; Time = date

 endfor
 
 ts_Heat = ts_Heat[1:*]         ; remove first record of 0
 ts_Heat2 = ts_Heat2[1:*]         ; remove first record of 0
 Time = ts_Time[1:*]            ; remove first record of 0
 
 jpt = n_elements(Time)
 
 title = sEXP1+' Global Annual Mean Surface Heat Flux --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
 pltt,ts_Heat,'t', -4., 4., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
      , small = [1,2,1], YTITLE = 'W/m2',  TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex

 if sEXP2 ne sEXP1 then begin

    title = sEXP1+' - '+sEXP2+' Global Annual Mean Surface Heat Flux --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
    pltt,ts_Heat - ts_Heat2,'t', -4., 4., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI, /NOERASE $
         ,  COLOR = 250, small = [1,2,2], YTITLE = 'W/m2', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
    
 endif

 
 if KEYWORD_SET(POSTSCRIPT) then begin
    closeps
 endif
 
 
 return
end
