pro ts_mean_S, sEXP1, sEXP2, year1, year2, s_iodir_data, POSTSCRIPT = postscript, _extra = ex

  compile_opt idl2, strictarrsubs
  
  @common
  
  @initorca2
  
  std_iodir_climato = '/Users/sflod/idl_PLOTS/CLIMATOLOGIES/'
  std_iodir_interan = '/Users/sflod/idl_PLOTS/INTERAN/'


  if KEYWORD_SET(POSTSCRIPT) then begin
     openps, sEXP1+'_Salinity_mean.ps', portrait = 1
  endif
  
  filename = std_iodir_climato+'data_1y_salinity_nomask.nc'
  Lev = read_ncdf('vosaline', filename = filename, /nostruct )
  Lev_xyz = moyenne(Lev, 'xyz',  mask2d = masknp)
  Lev_z = moyenne(Lev, 'xy', mask2d = masknp ,/KEEPBOTTOM)

  ts_Sal = 0.
  ts_Sal_2 = 0.
  ts_Sal_Lev = 0.
  ts_Sal_Lev_2 = 0.
  ts_Time = 0.
  ts_z = fltarr(jpk)
  ts_z_2 = fltarr(jpk)

  masknp = read_ncdf('tmaskutil', file = 'mesh_mask_partial.nc', /nostruct)

  for year=year1,year2 do begin
     
     date1 = year * 10000L + 101
     date2 = year * 10000L + 1231
     filename = getname(s_iodir_data,sEXP1,'1Y','grid_T',date1)
     filename2 = getname(s_iodir_data,sEXP2,'1Y','grid_T',date1)

     if filename eq '' then stop 
     Sal   = read_ncdf('so',date1 ,date2 , filename = filename, /nostruct)
     Sal_2 = read_ncdf('so',date1 ,date2 , filename = filename2, /nostruct)
     SSH   =  read_ncdf('zos',date1 ,date2 , filename = filename, /nostruct)
     SSH_2 =  read_ncdf('zos',date1 ,date2 , filename = filename2, /nostruct)

     ts_Sal = [ ts_Sal, moyenne(Sal, 'xyz', mask2d = masknp, ssh = SSH) ]
     ts_Sal_2 = [ ts_Sal_2, moyenne(Sal_2, 'xyz', mask2d = masknp, ssh = SSH_2) ]
     ts_Sal_Lev = [ ts_Sal_Lev, moyenne(Sal, 'xyz', mask2d = masknp, ssh = SSH) - Lev_xyz ]
     ts_Sal_Lev_2 = [ ts_Sal_Lev_2, moyenne(Sal_2, 'xyz', mask2d = masknp, ssh = SSH_2) - Lev_xyz ]
     ts_Time = [ ts_Time, Time] ; Time = date

     ts_z = [ [ts_z], [moyenne(Sal, 'xy',/KEEPBOTTOM, mask2d = masknp, ssh = SSH)- Lev_z] ]
     ts_z_2 = [ [ts_z_2], [moyenne(Sal_2, 'xy',/KEEPBOTTOM, mask2d = masknp, ssh = SSH_2)- Lev_z] ]

  endfor
  
  ts_Sal = ts_Sal[1:*]             ; remove first record of 0
  ts_Sal_2 = ts_Sal_2[1:*]         ; remove first record of 0
  ts_Sal_Lev = ts_Sal_Lev[1:*]     ; remove first record of 0
  ts_Sal_Lev_2 = ts_Sal_Lev_2[1:*] ; remove first record of 0
  
  ts_z = ts_z[*,1:*]            ; remove first record of 0
  ts_z_2 = ts_z_2[*,1:*]            ; remove first record of 0
  
  Time = ts_Time[1:*]           ; remove first record of 0
  jpt = n_elements(Time)


  title = sEXP1+' Global Annual Mean Salinity --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
  pltt, ts_Sal, 't', 34.54, 34.76, INTER = .2, year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI $
       , small = [1,2,1], YTITLE='psu', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex

  title = sEXP1+' Global Annual Mean Salinity - Levitus --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
  pltt, ts_Sal_Lev, 't', -.05, .05, year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI $
       , small = [1,2,2], YTITLE='psu',  TITLE = title, FORMAT = '(I3)', /NOERASE, _extra = ex

;;;;;;;;;;;;;;;;; new page ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
ERASE
 
  title = sEXP1+' ZT-plot Salinity Mean (0-1500m) - Levitus --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
  pltt,ts_z ,'zt', -.5, .5, INTER = .025, year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $ 
       , small = [1,2,1], YTITLE='psu', STYLE = 'so0so',  TITLE = title, boxzoom = 1500., /PORTRAIT, _extra = ex

  title = sEXP1+' ZT-plot Salinity Mean (0-6000) - Levitus --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
  pltt,ts_z,'zt', -.5, .5, INTER = .025, year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI $ 
       , small = [1,2,2], YTITLE='psu', STYLE = 'so0so',  TITLE = title, boxzoom = 6000., zoom = 1500.,  /NOERASE, _extra = ex
  

if sEXP2 ne sEXP1 then begin

ERASE

   title = sEXP1+' - '+sEXP2+' Global Annual Mean Salinity --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
   pltt, ts_Sal - ts_Sal_2, 't', -1., 1., INTER = .2, year1 * 10000L + 101, year2 * 10000L + 1231, /REMPLI $
         , COLOR = 250, small = [1,2,1], YTITLE='psu', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
   
endif

  
  if KEYWORD_SET(POSTSCRIPT) then begin
     closeps
  endif
  
  
  return
end
