pro ts_mean_T, sEXP1, sEXP2, year1, year2, s_iodir_data, POSTSCRIPT = postscript, _extra = ex

  compile_opt idl2, strictarrsubs
  
  @common
  
  @initorca2
  
  std_iodir_climato = '/Users/sflod/idl_PLOTS/CLIMATOLOGIES/'
;  std_iodir_interan = '/Users/sflod/idl_PLOTS/INTERAN/'
  std_iodir_data = '/Users/sflod/idl_PLOTS/INTERAN/mercure/'


  if KEYWORD_SET(POSTSCRIPT) then begin
     openps, sEXP1+'_Temperature_mean.ps', portrait = 1
  endif
  
  masknp = read_ncdf('tmaskutil', file = 'mesh_mask_partial.nc', /nostruct)

  filename = std_iodir_climato+'data_1y_potential_temperature_nomask.nc'
  Lev = read_ncdf('votemper', filename = filename, /nostruct )
  Lev_xyz = moyenne(Lev, 'xyz', mask2d = masknp)
  Lev_z = moyenne(Lev, 'xy', mask2d = masknp,/KEEPBOTTOM)

  ts_Temp = 0.
  ts_Temp_2 = 0.
  ts_Temp_Lev = 0.
  ts_Temp_Lev_2 = 0.
  ts_Time = 0.
  ts_z = fltarr(jpk)
  ts_z_2 = fltarr(jpk)
  
  for year=year1,year2 do begin
     
     date1 = year * 10000L + 101L
     date2 = year * 10000L + 1231L
 
print,s_iodir_data

     filename = getname(s_iodir_data,sEXP1,'1Y','grid_T',date1)
     filename2 = getname(s_iodir_data,sEXP2,'1Y','grid_T',date1)

     if filename eq '' then stop 
     Temp   = read_ncdf('thetao',date1 ,date2 , filename = filename, /nostruct)
     Temp_2 = read_ncdf('thetao',date1 ,date2 , filename = filename2, /nostruct)
     SSH    =  read_ncdf('zos',date1 ,date2 , filename = filename, /nostruct)
     SSH_2  =  read_ncdf('zos',date1 ,date2 , filename = filename2, /nostruct)

     ts_Temp = [ ts_Temp, moyenne(Temp, 'xyz', mask2d = masknp,ssh = SSH) ]
     ts_Temp_2 = [ ts_Temp_2, moyenne(Temp_2, 'xyz', mask2d = masknp,ssh = SSH_2) ]
     ts_Temp_Lev = [ ts_Temp_Lev, moyenne(Temp, 'xyz', mask2d = masknp,ssh = SSH) - Lev_xyz ]
     ts_Temp_Lev_2 = [ ts_Temp_Lev_2, moyenne(Temp_2, 'xyz', mask2d = masknp,ssh = SSH_2) - Lev_xyz ]
     ts_Time = [ ts_Time, Time] ; Time = date

     ts_z = [ [ts_z], [moyenne(Temp, 'xy', mask2d = masknp,/KEEPBOTTOM, ssh = SSH)- Lev_z] ]
     ts_z_2 = [ [ts_z_2], [moyenne(Temp_2, 'xy', mask2d = masknp,/KEEPBOTTOM, ssh = SSH_2)- Lev_z] ]

  endfor

  ts_Temp = ts_Temp[1:*]        ; remove first record of 0 
  ts_Temp_2 = ts_Temp_2[1:*]        ; remove first record of 0
  ts_Temp_Lev = ts_Temp_Lev[1:*] ; remove first record of 0
  ts_Temp_Lev_2 = ts_Temp_Lev_2[1:*] ; remove first record of 0
  ts_z = ts_z[*,1:*]             ; remove first record of 0
  ts_z_2 = ts_z_2[*,1:*]             ; remove first record of 0
  
  Time = ts_Time[1:*]           ; remove first record of 0
  jpt = n_elements(Time)
  
  title = sEXP1+' Global Annual Mean Temperature --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
  pltt, ts_Temp, 't', 1., 4.5, INTER = .5, year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
       , small = [1,2,1], YTITLE='Deg C', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex

  title = sEXP1+' Global Annual Mean Temperature - Levitus --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
  pltt,ts_Temp_Lev, 't', -1., 1., INTER = .25,  year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
       , small = [1,2,2], YTITLE='Deg C', TITLE = title, FORMAT = '(I3)', /NOERASE, _extra = ex

  ;;;;;;;;;;;;;;;;; new page  ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

ERASE

  title = sEXP1+' ZT-plot Temperature Mean (0-1500m) - Levitus --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
  pltt,ts_z ,'zt', -2., 2., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $ 
       , small = [1,2,1], YTITLE='Deg C', TITLE = title, boxzoom = 1500., /NOERASE, _extra = ex
  
  title = sEXP1+' ZT-plot Temperature Mean (0-6000m) - Levitus --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
  pltt,ts_z ,'zt', -2., 2., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $ 
       , small = [1,2,2], YTITLE='Deg C', TITLE = title, boxzoom = 6000., /NOERASE, _extra = ex
  
if sEXP2 ne sEXP1 then begin
  
ERASE
 
   title = sEXP1+' - '+sEXP2+' Global Annual Mean Temperature --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
   pltt, ts_Temp - ts_Temp_2, 't', -1., 1., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
         , COLOR = 250, small = [1,2,1], YTITLE='Deg C', TITLE = title, FORMAT = '(I3)', /PORTRAIT, _extra = ex
   
endif

  
  if KEYWORD_SET(POSTSCRIPT) then begin
     closeps
  endif
  
  
  return
end
