pro ts_mean_U, sEXP1, sEXP2, year1, year2, s_iodir_data, POSTSCRIPT = postscript, _extra = ex


  compile_opt idl2, strictarrsubs
  
  @common
  
 @initorca2
 
 if max(glamt) gt 300 then testlam = abs(glamt - 300) else testlam = abs(glamt + 60)

 testlat = abs(gphit + 30)

 index=where(abs(testlam - min(testlam)) lt 1 and abs(testlat - min(testlat)) lt 1 )
 xindex=index[0] mod jpi
 yindex=index[0]/jpi

 domdef, xindex, xindex+1, 0, yindex, 0, jpk-1, /index

 if KEYWORD_SET(POSTSCRIPT) then begin
    openps, sEXP1+'_U_mean.ps', portrait = 1
 endif
 
 ts_bbD = 0.
 ts_bbD2 = 0.
 ts_Time = 0.
 
 for year=year1,year2 do begin
    
    date1 = year * 10000L + 101
    date2 = year * 10000L + 1231
    filename = getname(s_iodir_data,sEXP1,'1Y','grid_U',date1)
    filename2 = getname(s_iodir_data,sEXP2,'1Y','grid_U',date1)

    if filename eq '' then stop 
    U1 = read_ncdf('uocetr_eff',date1 ,date2 , filename = filename, /nostruct)
    U2 = read_ncdf('uocetr_eff',date1 ,date2 , filename = filename2, /nostruct)
     
    bb1 = bsf(U1)
    bb2 = bsf(U2)
    bb1=bb1.arr[0,*]
    bb2=bb2.arr[0,*]

    bbDRAKE = bb1[nyt-1]-bb1[0]
    bb2DRAKE = bb2[nyt-1]-bb2[0]

    ts_bbD = [ ts_bbD, bbDRAKE ]
    ts_bbD2 = [ ts_bbD2, bb2DRAKE ]
    ts_Time = [ ts_Time, Time]  ; Time = date
       
 endfor
 
 ts_bbD = ts_bbD[1:*]           ; remove first record of 0
 ts_bbD2 = ts_bbD2[1:*]         ; remove first record of 0
 Time = ts_Time[1:*]            ; remove first record of 0
 
 jpt = n_elements(Time)

 title = sEXP1+' DRAKE transport --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
 pltt,ts_bbD,'t', 0., 200., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
      , small = [1,2,1],  TITLE = title, YTITLE='Sv', FORMAT = '(I3)', /PORTRAIT, _extra = ex
 
 if sEXP2 ne sEXP1 then begin
    
    title = sEXP1+' - '+sEXP2+' DRAKE transport --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
    pltt,ts_bbD - ts_bbD2,'t', -30., 30., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI, /NOERASE $
        , COLOR = 250, small = [1,2,2],  TITLE = title, YTITLE='Sv', FORMAT = '(I3)', /PORTRAIT, _extra = ex
    
 endif

 if KEYWORD_SET(POSTSCRIPT) then begin
    closeps
 endif
 
 
 return
end
