pro ts_mean_V, sEXP1, sEXP2, year1, year2, s_iodir_data, POSTSCRIPT = postscript, _extra = ex

  
  compile_opt idl2, strictarrsubs
  
  @common
  
 @initorca2
 

 if KEYWORD_SET(POSTSCRIPT) then begin
    openps, sEXP1+'_V_mean.ps', portrait = 1
 endif
 
; inizialization of vectors (for experience 1 and 2) 
 ts_mAMOC45 = 0.
 ts_mAABW70 = 0.
 ts_mAABC50 = 0.
 ts_mAMOC45_2 = 0.
 ts_mAABW70_2 = 0.
 ts_mAABC50_2 = 0.

 ts_Time = 0.
 
 for year=year1,year2 do begin
    
    date1 = year * 10000L + 101
    date2 = year * 10000L + 1231
    filename = getname(s_iodir_data,sEXP1,'1Y','grid_V',date1)
    filename2 = getname(s_iodir_data,sEXP2,'1Y','grid_V',date1)
    
    if filename eq '' then stop 
    
    domdef, 0, jpk-1,/zindex

    V1 = read_ncdf('vocetr_eff',date1 ,date2 , filename = filename, /nostruct)
    V2 = read_ncdf('vocetr_eff',date1 ,date2 , filename = filename2, /nostruct)
    
    msf_tot = msf(V1, indexboxzoom = ind)
    msf2_tot = msf(V2, indexboxzoom = ind)
    
    yaxis = gphit[ind[0], ind[2]:ind[3]]
 
; computation of max Atlatic Meridional Overturninc Circulation at 40N and 50N
;;  see plot msf global
    indy = where(yaxis gt 40 and yaxis le 50)
    domdef, 0, 3500
    
    mAMOC45 = max(msf_tot.arr[indy, firstzw:lastzw],/NaN)
    mAMOC45_2 = max(msf2_tot.arr[indy, firstzw:lastzw],/NaN)

; computation of max atlantic Antarctic Bottom Water between 80S and 65S
;; see plot msf global
    indy = where(yaxis gt -80 and yaxis le -65)
    domdef, 300, 3500
    
    mAABW70 = min(msf_tot.arr[indy, firstzw:lastzw],/NaN)
    mAABW70_2 = min(msf2_tot.arr[indy, firstzw:lastzw],/NaN)

;  computation of max Antarctic Abyssal Bottom Cell between 65S and 30N , 
;; see plot msf global
    indy = where(yaxis gt -65 and yaxis le 30)
    domdef, 2500, 5000
    
    mAABC50 = min(msf_tot.arr[indy, firstzw:lastzw],/NaN)
    mAABC50_2 = min(msf2_tot.arr[indy, firstzw:lastzw],/NaN)

; creation of Time Series
; for EXPERIENCE 1
    ts_mAMOC45 = [ ts_mAMOC45, mAMOC45 ]
    ts_mAABW70 = [ ts_mAABW70, mAABW70 ]
    ts_mAABC50 = [ ts_mAABC50, mAABC50 ]

; for EXPERIENCE 2
    ts_mAMOC45_2 = [ ts_mAMOC45_2, mAMOC45_2 ]
    ts_mAABW70_2 = [ ts_mAABW70_2, mAABW70_2 ]
    ts_mAABC50_2 = [ ts_mAABC50_2, mAABC50_2 ]
   
    ts_Time = [ ts_Time, Time]  ; Time = date
    
 endfor

 ts_mAMOC45 = ts_mAMOC45[1:*]   ; remove first record of 0
 ts_mAABW70 = ts_mAABW70[1:*]   ; remove first record of 0
 ts_mAABC50 = ts_mAABC50[1:*]   ; remove first record of 0
 
 ts_mAMOC45_2 = ts_mAMOC45_2[1:*]   ; remove first record of 0
 ts_mAABW70_2 = ts_mAABW70_2[1:*]   ; remove first record of 0
 ts_mAABC50_2 = ts_mAABC50_2[1:*]   ; remove first record of 0

 Time = ts_Time[1:*]            ; remove first record of 0
 
 jpt = n_elements(Time)
 
 title = sEXP1+' Max Atlantic MOC between 40N and 50N --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
 pltt, ts_mAMOC45,'t', 0., 30., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
      ,  small = [1,2,1],  TITLE = title, YTITLE='Sv', FORMAT = '(I3)', /PORTRAIT, _extra = ex
 
 if sEXP2 ne sEXP1 then begin
    title = sEXP1+' - '+sEXP2+' Max Atlantic MOC between 40N and 50N --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
    pltt, ts_mAMOC45 - ts_mAMOC45_2,'t', -9., 9., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI, /NOERASE $
          ,  COLOR = 250, small = [1,2,2],  TITLE = title, YTITLE='Sv', FORMAT = '(I3)', /PORTRAIT, _extra = ex
 endif
 
 title = sEXP1+' Max AntArctic Bottom Water between 80S and 65S --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
 pltt,-ts_mAABW70,'t', 0., 20., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
      , small = [1,2,1],  TITLE = title, YTITLE='Sv', FORMAT = '(I3)', /PORTRAIT, _extra = ex
 
 if sEXP2 ne sEXP1 then begin 
    title = sEXP1+' - '+sEXP2+' Max AntArctic Bottom Water between 80S and 65S --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
    pltt,-ts_mAABW70 + ts_mAABW70_2 ,'t', -5., 5., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI, /NOERASE $
         ,  COLOR = 250, small = [1,2,2],  TITLE = title, YTITLE='Sv', FORMAT = '(I3)', /PORTRAIT, _extra = ex
 endif
 
 title = sEXP1+' Max AntArctic Bottom Cell between 65S and 30N --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
 pltt,-ts_mAABC50,'t', 5., 30., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI $
      ,  small = [1,2,1],  TITLE = title, YTITLE='Sv', FORMAT = '(I3)', /PORTRAIT, _extra = ex

 if sEXP2 ne sEXP1 then begin

    title = sEXP1+' - '+sEXP2+' Max AntArctic Bottom Cell between 65S and 30N --- year '+strtrim(year1,1)+' - '+strtrim(year2,1)
    pltt,-ts_mAABC50 + ts_mAABC50_2,'t', -5., 5., year1 * 10000L + 101, year2 * 10000L + 1231 , /REMPLI,/NOERASE  $
         ,  COLOR = 250, small = [1,2,2],  TITLE = title, YTITLE='Sv', FORMAT = '(I3)', /PORTRAIT, _extra = ex
 endif

 if KEYWORD_SET(POSTSCRIPT) then begin
    closeps
 endif
 
 
 return
end
