pro xxx_S_z105, S1, S2, SLev, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, _extra = ex

 @common
 compile_opt idl2, strictarrsubs
 
 if KEYWORD_SET(POSTSCRIPT) then begin
    openps, '013_S_z105_'+sEXP1+'-'+sEXP2+'_y'+start_end+'.ps', portrait = 1
 endif
 
;
 varunit = S1.unit
;

 title=sEXP1+' S (PSU) depth=105m / Sal year '+start_end
 plt, S1.arr, MIN = 33., MAX = 38.2, INTER = .2, STYLE = 'so0so' $
      , small = [1,2,1], COAST_THICK = 2, TITLE = title, boxzoom = [105., 106.], /NOERASE, _extra = ex
;
 if sEXP1 ne sEXP2 then begin
    
    title = sEXP1+' - '+sEXP2+' S (PSU) depth=105m / Sal year '+start_end
    plt, S1.arr[*,*,0] - S2.arr[*,*,0], MIN = -1., MAX = 1., INTER = .1 $
         , small = [1,2,2], COAST_THICK = 2, TITLE = title, _extra=ex
    
 endif else begin
    
    title=sEXP1+' - Levitus S (PSU) depth=105m / Sal year '+start_end
    plt, S1.arr-SLev.arr, MIN = -1., MAX = 1., INTER=0.1, STYLE='so0so' $
         , small = [1,2,2], COAST_THICK = 2, TITLE = title, boxzoom = [105., 106.], /PORTRAIT, _extra = ex                           
    
 endelse
 

 
 title = 'Salinity differences at z=105 m with Levitus and '+sEXP2
 text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/'+sEXP1+'_'+sEXP2+'/ps/013_S_z105_'+sEXP1+'-'+sEXP2+'_y'+start_end+'.png  />  ' ]
 putfile, '/tmp/prova.txt', text ;


 if KEYWORD_SET(POSTSCRIPT) then begin
    closeps
 endif

 return
end
