pro xxx_zonal_T, T1, T2, TLev, sEXP1, sEXP2, start_end, POSTSCRIPT = postscript, SUBBASIN = subbasin, MASK_FILENAME = mask_filename, _extra = ex
  
  compile_opt idl2, strictarrsubs

   @common

   if KEYWORD_SET(SUBBASIN) then subname = subbasin else subname = "Glo"


   if KEYWORD_SET(POSTSCRIPT) then begin
      openps, '016_Zonal_T_'+subname+'_'+sEXP1+'-'+sEXP2+'_y'+start_end+'.ps', portrait = 1
   endif

                                ; looking for longitudinal index corresponding to the highest latitude (closest to the North Pole)
   index=where(gphit eq max(gphit))
   nx=index[0] mod jpi
   gphi_save=gphit
   gphit[0,*]=gphit[nx,*]

   if KEYWORD_SET(SUBBASIN) then begin
 ; save tmask
      tmasksv = tmask
 ; 
      CASE 1 of 
         subbasin eq 'Atl' : var = 'atlmsk_nomed'
         subbasin eq 'Ind' : var = 'indmsk_nored'
         subbasin eq 'Pac' : var = 'pacmsk'
      ENDCASE
                                ;
      msk = read_ncdf( var, filename = mask_filename, _extra =ex)

; from 2D array to 3D array
      msk = msk.arr[*]#replicate(1., nzt)
      tmask[firstxt:lastxt,firstyt:lastyt,firstzt:lastzt] = tmask[firstxt:lastxt,firstyt:lastyt,firstzt:lastzt] * msk

   endif

varunit = T1.unit
;
 
   title=sEXP1+' '+subname+' / T year '+start_end
   pltz, T1.arr, MININ = -2., MAXIN = 30., INTER = 1., typein = 'yz', FORMAT = '(I2)' $ 
         , small =[ 1,2,1], COAST_THICK = 2, TITLE = title, boxzoom = 5500, ZOOM = 1000, /PORTRAIT, _extra = ex 
; 
if sEXP1 ne sEXP2 then begin

  title = sEXP1+' - '+sEXP2+' T (C) depth=105m / Temp year '+start_end
  pltz, T1.arr-T2.arr, MIN = -2., MAX = 2., INTER = .2, typein = 'yz'  $
       , small = [1,2,2], COAST_THICK = 2, TITLE = title, boxzoom = 5500, ZOOM = 1000, /PORTRAIT, _extra=ex

endif else begin

   title=sEXP1+' - Levitus '+subname+'/ T year'+start_end
   pltz, T1.arr-TLev.arr, MININ = -4., MAXIN = 4., INTER = .5, typein='yz', FORMAT = '(I2)' $
         , small = [1,2,2], COAST_THICK = 2, TITLE = title, boxzoom = 5500, ZOOM = 1000, /NOERASE, _extra = ex
   
endelse
         
   
;
   title = 'Temperature differences in zonal average ' + subname+' with Levitus and '+sEXP1+'-'+sEXP2
   text = [   title, '<img width="80%" src=/Users/sflod/TOOLS/my_IDL/PS/'+sEXP1+'_'+sEXP2+'/ps/016_Zonal_T_'+subname+'_'+sEXP1+'-'+sEXP2+'_y'+start_end+'.png  />  ' ]
   putfile, '/tmp/prova.txt', text


   if KEYWORD_SET(POSTSCRIPT) then begin
      closeps
   endif

   if KEYWORD_SET(SUBBASIN) then tmask = tmasksv
   
  
   gphit=gphi_save


   return
end
